#!/bin/bash

# init configfs
mkdir /config
mount -t configfs none /config
mkdir /config/usb_gadget/g1
echo 0x0955 > /config/usb_gadget/g1/idVendor
echo 0x710d > /config/usb_gadget/g1/idProduct
echo 0x0200 > /config/usb_gadget/g1/bcdUSB
mkdir /config/usb_gadget/g1/strings/0x409
echo NVIDIA > /config/usb_gadget/g1/strings/0x409/manufacturer
echo "Tegra Device" > /config/usb_gadget/g1/strings/0x409/product
echo 012345678ABCDEF > /config/usb_gadget/g1/strings/0x409/serialnumber
mkdir /config/usb_gadget/g1/configs/b.1

# init msc gadget
mkdir /config/usb_gadget/g1/functions/mass_storage.msc

dd if=/dev/zero of=/home/ubuntu/msc.ext4.img bs=1M count=1k
mkfs.ext4 /home/ubuntu/msc.ext4.img 
echo /home/ubuntu/msc.ext4.img > /config/usb_gadget/g1/functions/mass_storage.msc/lun.0/file

ln -s /config/usb_gadget/g1/functions/mass_storage.msc /config/usb_gadget/g1/configs/b.1/f1
echo 3550000.xudc > /config/usb_gadget/g1/UDC   

